> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete template

> Delete a contract template via the Sendforsign API.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**template** `object` *required*

Structure.

**child attribute**

**templateKey** `string` *required*

Key of the template that needs to be deleted.

### Response

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/template' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "action": "delete",
        "clientKey": "YOUR_CLIENT_KEY",
        "template": {
            "templateKey": "TEMPLATE_KEY"
        }
    }
}'
```

```json Response theme={null}
{
    "template": {
        "templateKey": "TEMPLATE_KEY"
    },
    "code": "200",
    "message": "Template deleted"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.